org.eclipse.eef.core.api.controllers

## Interface IEEFGroupController

All Superinterfaces:
  IEEFController

All Known Implementing Classes:
  EEFGroupController

    public interface IEEFGroupController
    extends IEEFController

The EEFGroupController is responsible of supporting the refresh of the label of the group.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onNewLabel(IConsumer<java.lang.String> consumer)` Register a consumer which will be called with the new value of the label when it will change.
`void` `removeNewLabelConsumer()` Remove the consumer of the new value of the label.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewLabel

    void onNewLabel(IConsumer<java.lang.String> consumer)

Register a consumer which will be called with the new value of the label when it will change.

Parameters:
  `consumer` - The consumer of the new value of the label

#### removeNewLabelConsumer

    void removeNewLabelConsumer()

Remove the consumer of the new value of the label.